Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

# FIXME/TODO: needed BuildRequires 
# mDNS, Decibel

Summary: 	K Desktop Environment - Network Applications
Name: 		kdenetwork
Version: 	4.1.1
Release: 	1

License: 	GPLv2
Group: 		Graphical Desktop/KDE4
URL: 		http://www.kde.org
Source0: 	ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdenetwork-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	boost-devel
BuildRequires: 	cmake
BuildRequires: 	giflib-devel
BuildRequires: 	kde-filesystem >= 4
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
BuildRequires: 	kdelibs-devel >= %{version}
BuildRequires: 	kdepimlibs-devel >= %{version}
BuildRequires: 	kdebase-workspace-devel >= %{version}
BuildRequires: 	libidn-devel
BuildRequires: 	openldap-devel
BuildRequires: 	pcre-devel
BuildRequires: 	qca-devel
BuildRequires: 	qimageblitz-devel
BuildRequires: 	sqlite-devel openslp-devel libvncserver-devel
Requires(post): xdg-utils
Requires(postun): xdg-utils
Requires: kdelibs4 >= %{version}
Requires: kdepimlibs4 >= %{version}
Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: 	kdenetwork4 < %{version}-%{release}
Provides:  	kdenetwork4 = %{version}-%{release}


# kopete/yahoo
Requires(hint): jasper
## kppp
Requires: ppp
## krdc
Requires(hint): rdesktop

%description
Networking applications, including:
* kget: downloader manager
* kio_lan: lan browsing kio slave
* knewsticker: RDF newsticker applet
* kopete: chat client
* kppp: dialer and front end for pppd
* krdc: a client for Desktop Sharing and other VNC servers
* krfb: Desktop Sharing server, allow others to access your desktop via VNC
* lisa: lan information server

%package libs
Summary: 	Runtime libraries for %{name}
Group:   	System/Libraries
Obsoletes: 	kdenetwork4-libs < %{version}-%{release}
Provides:  	kdenetwork4-libs = %{version}-%{release}


%description libs
%{summary}.

%package devel
Group:    	Development/Libraries
Summary:  	Development files for %{name} 
Requires: 	%{name}-libs = %{version}-%{release}
Requires: 	kdelibs-devel
Obsoletes: 	kdenetwork4-devel < %{version}-%{release}
Provides:  	kdenetwork4-devel = %{version}-%{release}

%description devel
%{summary}.


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}


%post
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_bindir}/*
%{_kde4_appsdir}/desktoptheme/
%{_kde4_appsdir}/kget/
%{_kde4_appsdir}/khtml/kpartplugins/kget_plug_in.rc
%{_kde4_appsdir}/kopete*
%{_kde4_appsdir}/kppp/
%{_kde4_appsdir}/krfb/
%{_kde4_appsdir}/krdc/
#%{_kde4_appsdir}/zeroconf/
%{_kde4_appsdir}/remoteview/
%{_kde4_datadir}/applications/kde4/*
%{_kde4_datadir}/config.kcfg/*
%{_datadir}/dbus-1/interfaces/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_datadir}/sounds/*
%{_kde4_docdir}/HTML/en/kget/
%{_kde4_docdir}/HTML/en/knewsticker/
%{_kde4_docdir}/HTML/en/kopete/
%{_kde4_docdir}/HTML/en/kppp/
%{_kde4_docdir}/HTML/en/krfb/
%{_kde4_docdir}/HTML/en/krdc/
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_configdir}/kopeterc
%{_kde4_iconsdir}/oxygen/*/*/*
%{_kde4_appsdir}/kconf_update/*
%{_kde4_libdir}/kde4/*

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/libqgroupwise.so
%{_kde4_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/*
%{_kde4_libdir}/lib*.so
%exclude %{_kde4_libdir}/libqgroupwise.so


%changelog
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- renamed package
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update 4.1 RC 1
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Fri Jun 28 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update ( KDE 4.1 Beta 2 )
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-1
- Version update, added libvncserver to build krfb
* Mon Mar 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.2-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- Version update
* Mon Dec 17 2007 Christian Metzen <metzench@ccux-linux.de> 3.97.0-1
- Initial release
